<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - search')">
</head>

<body>
  <nav th:replace="@{/include/navbar}"></nav>

  <main>
    <div class="container-fluid p-0"><img src="img/banniere.jpg" class="img-fluid w-100" alt="photo dvd" /></div>
    <div class="text-white m-5">
      <h2>Résultat de la recherche</h2>
    </div>
    
    <div class="container-fluid mt-5">
      <div class="row row-cols-1 row-cols-sm-2 row-cols-md-4 g-3 p-5">
        <div class="col" th:each="dvd : ${dvdlist}">
          <div class="card shadow-sm p-3 m-3">
            <a th:href="@{/dvd/} + ${dvd.id}"><img th:src="${dvd.image}" class="img-fluid w-100 dvdimg"
                alt="photo dvd" /></a>
            <div class="card-body">
              <p class="card-text fs-4 fw-bold" th:text="${dvd.title}">Card title</p>
              <p class="card-text ">Ajouté par
                <span class="text-danger fw-bold" th:text="${dvd.user.username}">Nom utilisateur</span>
              </p>
              <div class="d-flex justify-content-between align-items-center">
                <div class="btn-group">
                  <a th:href="@{/dvd/} + ${dvd.id}"><button type="button"
                      class="btn btn-sm btn-primary border-2 border-white"><i class="fas fa-eye"></i></button></a>
                  <a th:href="@{/add-barter/} + ${dvd.id}"><button type="button"
                      class="btn btn-sm btn-success border-2 border-white"><i
                        class="fas fa-exchange-alt"></i></button></a>
                </div>
                <small class="text-muted text-center">date ajout <span class="date"
                    th:text="${#dates.format(new java.util.Date(dvd.addedAt), 'dd/MM/yyyy')}"></span></small>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


    <div class="container p-3 bg-light mb-5 rounded-3">
      <form>
        <h3 class="text-secondary fw-bold"><strong>Recherche avancée</strong></h3>
        <div class="mb-3">
          <label for="exampleInputText" class="form-label">Titre</label>
          <input type="text" class="form-control" id="exampleInputText" placeholder="recherche par titre">
        </div>
        <div class="mb-3">
          <label for="exampleInputCat" class="form-label">Catégorie</label>
          <input type="text" class="form-control" id="exampleInputCat" placeholder="recherche par catégorie">
        </div>
        <div class="mb-3">
          <label for="exampleInputDate" class="form-label">Année</label>
          <input type="year" class="form-control" id="exampleInputDate" placeholder="recherche par année">
        </div>
        <button type="submit" class="btn send btn-dark">Envoyer</button>
      </form>
    </div>

  </main>

  <div th:replace="@{/include/footer}"></div>
  <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>